package org.wcs.serve.service.intf;

import org.wcs.model.dto.serve.stacker.AddOrUpdateStackerStandReq;
import org.wcs.model.dto.serve.stacker.AddStackerReq;
import org.wcs.model.dto.serve.stacker.UpdateStackerInfoReq;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.stacker.QueryStackerInfoVo;
import org.wcs.model.vo.serve.stacker.QueryStackerStandVo;
import org.wcs.model.vo.serve.stacker.StackerStatusVo;

import java.util.List;

public interface IStackerService {

    AppServeDataResponse<List<QueryStackerInfoVo>> queryStackerInfo(String stackerName); // 根据名称模糊查询堆垛机数据
    AppServeResponse addStacker(AddStackerReq addStackerReq); // 添加一个堆垛机数据
    AppServeResponse updateStackerInfo(UpdateStackerInfoReq updateStackerInfoReq); // 更新堆垛机数据
    AppServeDataResponse<List<QueryStackerStandVo>> queryStackerStand(Integer stackerId); // 根据堆垛机ID查询站台
    AppServeResponse addOrUpdateStackerStand(AddOrUpdateStackerStandReq addOrUpdateStackerStandReq); // 更新或者新增一个堆垛机站台
    AppServeResponse deleteWithStandId(String standId); // 删除一个站台

    AppServeDataResponse<List<StackerStatusVo>> getStackerRunningInfo();
}
